Skip to main content
GET
/
api
/
v1
/
deployments
/
{deploymentId}
cURL
curl --request GET \
  --url https://api.staging.qyl.dev/api/v1/deployments/{deploymentId}
import requests

url = "https://api.staging.qyl.dev/api/v1/deployments/{deploymentId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.staging.qyl.dev/api/v1/deployments/{deploymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "deployment.id": "<string>",
  "service.name": "<string>",
  "service.version": "2.1.0",
  "start_time": "2023-11-07T05:31:56Z",
  "end_time": "2023-11-07T05:31:56Z",
  "duration_s": 1,
  "deployed_by": "<string>",
  "git_commit": "<string>",
  "git_branch": "<string>",
  "previous_version": "2.1.0",
  "rollback_target": "<string>",
  "replica_count": 123,
  "healthy_replicas": 123,
  "error_message": "<string>"
}
{
"type": "about:blank",
"title": "Not Found",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_type": "<string>",
"resource_id": "<string>"
}
{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}

Path Parameters

deploymentId
string
required

Response

The request has succeeded.

Complete deployment record

deployment.id
string
required

Deployment ID

service.name
string
required

Service name

service.version
string
required

Service version

Pattern: ^(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-((?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*)(?:\.(?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*))*))?(?:\+([0-9a-zA-Z-]+(?:\.[0-9a-zA-Z-]+)*))?$
Example:

"2.1.0"

environment
enum<string>
required

Environment

Available options:
development,
testing,
staging,
production,
preview,
canary
status
enum<string>
required

Status

Available options:
pending,
in_progress,
success,
failed,
rolled_back,
cancelled
strategy
enum<string>
required

Strategy

Available options:
rolling,
blue_green,
canary,
recreate,
ab_test,
shadow,
feature_flag
start_time
string<date-time>
required

Start time

end_time
string<date-time>

End time

duration_s
number<double>

Duration in seconds

Required range: x >= 0
deployed_by
string

Deployed by (user/system)

git_commit
string

Git commit SHA

git_branch
string

Git branch

previous_version
string

Previous version

Pattern: ^(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-((?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*)(?:\.(?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*))*))?(?:\+([0-9a-zA-Z-]+(?:\.[0-9a-zA-Z-]+)*))?$
Example:

"2.1.0"

rollback_target
string

Rollback target (if rolled back)

replica_count
integer<int32>

Replica count

healthy_replicas
integer<int32>

Healthy replica count

error_message
string

Error message (if failed)